## golang-github-vishvananda-netlink 0.0~git20170407.0.1e86b2b

=== Makefile ===
DIRS := \
	. \
	nl

DEPS = \
	github.com/vishvananda/netns

uniq = $(if $1,$(firstword $1) $(call uniq,$(filter-out $(firstword $1),$1)))
testdirs = $(call uniq,$(foreach d,$(1),$(dir $(wildcard $(d)/*_test.go))))
goroot = $(addprefix ../../../,$(1))
unroot = $(subst ../../../,,$(1))
fmt = $(addprefix fmt-,$(1))

all: test

$(call goroot,$(DEPS)):
	go get $(call unroot,$@)

.PHONY: $(call testdirs,$(DIRS))
$(call testdirs,$(DIRS)):
	sudo -E go test -test.parallel 4 -timeout 60s -v github.com/vishvananda/netlink/$@

$(call fmt,$(call testdirs,$(DIRS))):
	! gofmt -l $(subst fmt-,,$@)/*.go | grep -q .

.PHONY: fmt
fmt: $(call fmt,$(call testdirs,$(DIRS)))

test: fmt $(call goroot,$(DEPS)) $(call testdirs,$(DIRS))

## golang-github-vishvananda-netlink 0.0~git20150820.0.1e2e08e

=== debian/changelog ===
golang-github-vishvananda-netlink (0.0~git20150820.0.1e2e08e-1) unstable; urgency=medium

  * Update to newer upstream commit.

 -- Tianon Gravi <tianon@debian.org>  Sun, 06 Sep 2015 14:17:08 -0700

golang-github-vishvananda-netlink (0.0~git20150513.1.991a7a2-1) unstable; urgency=medium

  * Initial release (Closes: #787055).

 -- Tianon Gravi <admwiggin@gmail.com>  Thu, 28 May 2015 00:20:56 -0700

=== debian/control ===
Source: golang-github-vishvananda-netlink
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang,
               golang-github-vishvananda-netns-dev
Standards-Version: 3.9.6
Homepage: https://github.com/vishvananda/netlink
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-vishvananda-netlink.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-vishvananda-netlink.git
XS-Go-Import-Path: github.com/vishvananda/netlink

Package: golang-github-vishvananda-netlink-dev
Architecture: all
Depends: golang-github-vishvananda-netns-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: netlink library for go
 The netlink package provides a simple netlink library for go. Netlink is the
 interface a user-space program in Linux uses to communicate with the kernel. It
 can be used to add and remove interfaces, set ip addresses and routes, and
 configure ipsec. Netlink communication requires elevated privileges, so in most
 cases this code needs to be run as root. Since low-level netlink messages are
 inscrutable at best, the library attempts to provide an API that is loosely
 modeled on the CLI provied by iproute2. Actions like ip link add will be
 accomplished via a similarly named function like AddLink(). This library began
 its life as a fork of the netlink functionality in docker/libcontainer but was
 heavily rewritten to improve testability, performance, and to add new
 functionality like ipsec xfrm handling.
 .
 This package contains the source.

## golang-github-vishvananda-netlink 0.0~git20160306.0.4fdf23c

=== debian/changelog ===
golang-github-vishvananda-netlink (0.0~git20160306.0.4fdf23c-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Tim Potter <tpot@hpe.com>  Tue, 19 Jul 2016 07:58:59 +1000

golang-github-vishvananda-netlink (0.0~git20160306.0.4fdf23c-2) UNRELEASED; urgency=medium

  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

 -- Paul Tagliamonte <paultag@debian.org>  Wed, 29 Jun 2016 20:43:04 -0400

golang-github-vishvananda-netlink (0.0~git20160306.0.4fdf23c-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Standards-Version: 3.9.7

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 06 Mar 2016 19:20:08 +1100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: devel
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Tianon Gravi <tianon@debian.org>
+Uploaders: Tianon Gravi <tianon@debian.org>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9),
                dh-golang,
                golang,
                golang-github-vishvananda-netns-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/vishvananda/netlink
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-vishvananda-netlink.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-vishvananda-netlink.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-vishvananda-netlink.git
 XS-Go-Import-Path: github.com/vishvananda/netlink

## golang-github-vishvananda-netlink 0.0~git20160629.0.e73bad4

=== debian/changelog ===
golang-github-vishvananda-netlink (0.0~git20160629.0.e73bad4-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Tim Potter ]
  * New upstream snapshot.
  * Standards-Version: 3.9.8

 -- Tim Potter <tpot@hpe.com>  Wed, 30 Nov 2016 14:34:42 +1100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-golang,
                golang,
                golang-github-vishvananda-netns-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/vishvananda/netlink
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-vishvananda-netlink.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-vishvananda-netlink.git

## golang-github-vishvananda-netlink 0.0~git20170117.0.ebdfb74

=== debian/changelog ===
golang-github-vishvananda-netlink (0.0~git20170117.0.ebdfb74-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Tim Potter <tpot@hpe.com>  Wed, 25 Jan 2017 14:39:09 +1100

## golang-github-vishvananda-netlink 0.0~git20170407.0.1e86b2b

=== debian/changelog ===
golang-github-vishvananda-netlink (0.0~git20170407.0.1e86b2b-1) unstable; urgency=medium

  * New upstream snapshot for Docker 17.05.0-ce. 
  * Standards-Version: 4.0.0

 -- Tim Potter <tpot@hpe.com>  Wed, 01 Nov 2017 10:35:52 +1100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-golang,
                golang,
                golang-github-vishvananda-netns-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/vishvananda/netlink
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-vishvananda-netlink.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-vishvananda-netlink.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	# tests require root privs, so we skip them
	# on top of that, a lot of them have cryptic failures ("operation not permitted")

## golang-github-vishvananda-netlink 1.0.0

=== debian/changelog ===
golang-github-vishvananda-netlink (1.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * New upstream release.
  * Testsuite: autopkgtest-pkg-go
  * Standards-Version: 4.1.4; Priority: optional.
  * debhelper & compat to version 11.
  * Added "watch" file.
  * (Build-)Depends:
    + golang-golang-x-sys-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 12 Jun 2018 19:29:41 +1000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: golang-github-vishvananda-netlink
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>, Tim Potter <tpot@hpe.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-golang,
-               golang,
-               golang-github-vishvananda-netns-dev
-Standards-Version: 4.0.0
+               golang-any,
+               golang-github-vishvananda-netns-dev,
+               golang-golang-x-sys-dev
+Standards-Version: 4.1.4
 Homepage: https://github.com/vishvananda/netlink
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-vishvananda-netlink.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-vishvananda-netlink.git
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-vishvananda-netlink.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-vishvananda-netlink
 XS-Go-Import-Path: github.com/vishvananda/netlink
+Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-vishvananda-netlink-dev
 Architecture: all
 Depends: golang-github-vishvananda-netns-dev,
+         golang-golang-x-sys-dev,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: netlink library for go

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/vishvananda/netlink/releases \
  .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-github-vishvananda-netlink 1.0.0+git20181030.023a6da

=== debian/changelog ===
golang-github-vishvananda-netlink (1.0.0+git20181030.023a6da-1) unstable; urgency=medium

  * New upstream snapshot, as required by "containernetworking-plugins".
  * DH & compat to version 12.
  * Standards-Version: 4.4.0.
  * Added myself to Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 12 Sep 2019 09:43:55 +1000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: golang-github-vishvananda-netlink
 Section: devel
 Priority: optional
+Standards-Version: 4.4.0
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Tianon Gravi <tianon@debian.org>, Tim Potter <tpot@hpe.com>
-Build-Depends: debhelper (>= 11~),
+Uploaders: Tianon Gravi <tianon@debian.org>,
+           Tim Potter <tpot@hpe.com>,
+           Dmitry Smirnov <onlyjob@debian.org>
+Build-Depends: debhelper (>= 12~),
                dh-golang,
                golang-any,
                golang-github-vishvananda-netns-dev,
                golang-golang-x-sys-dev
-Standards-Version: 4.1.4
 Homepage: https://github.com/vishvananda/netlink
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-vishvananda-netlink.git
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-vishvananda-netlink

## golang-github-vishvananda-netlink 1.1.0

=== debian/changelog ===
golang-github-vishvananda-netlink (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Update Section to golang
  * Update Standards-Version to 4.5.1 (no changes)
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Bump debhelper-compat to 13
  * Add Rules-Requires-Root
  * Backport AddProtocol in conntrack package

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 11 Jan 2021 00:53:12 +0800

golang-github-vishvananda-netlink (1.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Dmitry Smirnov ]
  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 19 Jan 2020 19:08:38 +1100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: golang-github-vishvananda-netlink
-Section: devel
+Section: golang
 Priority: optional
-Standards-Version: 4.4.0
-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
+Standards-Version: 4.5.1
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-vishvananda-netns-dev,
@@ -15,6 +15,7 @@
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-vishvananda-netlink.git
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-vishvananda-netlink
 XS-Go-Import-Path: github.com/vishvananda/netlink
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-vishvananda-netlink-dev

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/vishvananda/netlink/releases \
  .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-github-vishvananda-netlink 1.1.0.125.gf243826

=== debian/changelog ===
golang-github-vishvananda-netlink (1.1.0.125.gf243826-4) unstable; urgency=medium

  * Team upload.
  * Fix tests on 32 bit archs

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 22 Feb 2022 23:43:17 +0800

golang-github-vishvananda-netlink (1.1.0.125.gf243826-3) unstable; urgency=medium

  * Team upload.
  * Skip whole TestSocketDiagTCPInfo test on buildd

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 22 Feb 2022 01:12:05 +0800

golang-github-vishvananda-netlink (1.1.0.125.gf243826-2) unstable; urgency=medium

  * Team upload.
  * Skip failed tests on buildd

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 22 Feb 2022 00:40:50 +0800

golang-github-vishvananda-netlink (1.1.0.125.gf243826-1) unstable; urgency=medium

  * Team upload.
  * Update uscan watch file to track head version
  * New upstream version 1.1.0.125.gf243826
  * Add Multi-Arch hint
  * Update Standards-Version to 4.6.0 (no changes)
  * Remove patches applied in new version
  * Exclude useless command binaries

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 21 Feb 2022 23:29:06 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: golang-github-vishvananda-netlink
 Section: golang
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
@@ -20,6 +20,7 @@
 
 Package: golang-github-vishvananda-netlink-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: golang-github-vishvananda-netns-dev,
          golang-golang-x-sys-dev,
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := cmd

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=4

opts="mode=git, pgpmode=none, pretty=describe, uversionmangle=s/^v//" \
  https://github.com/vishvananda/netlink \
  HEAD

## golang-github-vishvananda-netlink 1.3.0

=== debian/changelog ===
golang-github-vishvananda-netlink (1.3.0-2) unstable; urgency=medium

  * Skip additional tests that were failing on the buildd

 -- John Goerzen <jgoerzen@complete.org>  Thu, 28 Nov 2024 07:16:16 -0600

golang-github-vishvananda-netlink (1.3.0-1) unstable; urgency=medium

  * Add self to uploaders.
  * New upstream release
  * Update debian/watch to be more consistent with other packages.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 27 Nov 2024 16:51:02 -0600

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Standards-Version: 4.6.0
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Tianon Gravi <tianon@debian.org>,
-           Tim Potter <tpot@hpe.com>,
-           Dmitry Smirnov <onlyjob@debian.org>
+Uploaders: Tim Potter <tpot@hpe.com>,
+           Dmitry Smirnov <onlyjob@debian.org>,
+           John Goerzen <jgoerzen@complete.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/vishvananda/netlink/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-vishvananda-netlink 1.3.1

=== debian/changelog ===
golang-github-vishvananda-netlink (1.3.1-1) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable
  * Update Standards-Version to 4.7.2 (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 10 Aug 2025 21:15:49 +0000

golang-github-vishvananda-netlink (1.3.1-1~exp1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 01 Aug 2025 20:07:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: golang-github-vishvananda-netlink
 Section: golang
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tim Potter <tpot@hpe.com>,
            Dmitry Smirnov <onlyjob@debian.org>,
